[Réglé] Erreur de l'installation 3.2.5

Forum concernant les demandes de support pour tout problème d'installation d'un forum phpBB 3.2.x uniquement

Modérateur: Equipe

Règles du forum
A lire impérativement : Règlement de phpBB-fr.com

Pensez à effectuer une recherche, la réponse à votre question a de grandes chances d'avoir déjà été donnée.

[Réglé] Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 07 Jan 2019 à 21:29

En mettant à jour mon forum avec le pack complet 3.2.5, j'obtiens le message suivant :

The file differ failed to open Array.
[phpBB Debug] "file_get_contents(../install/update/new/language/fr/acp/attachments.php): failed to open stream: No such file or directory" in file /homepages/27/d285837295/htdocs/phpBB/phpbb/install/module/update_filesystem/task/diff_files.php on line 182
[phpBB Debug] "Array to string conversion" in file /homepages/27/d285837295/htdocs/phpBB/phpbb/language/language.php on line 313

Que faire ?

Merci d'avance de vos conseils.

Adresse de mon forum : http://dcalin.fr/phpBB/
Modifié en dernier par Daniel Calin le 08 Jan 2019 à 18:31, modifié 1 fois.
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar cocooncrash » 07 Jan 2019 à 21:48

Bonjour,
Vous êtes sur d'avoir télécharger le bon package pour la mise a jour?
decouvrez l'aide complete : ICI
découvrez les règles : La_bas

Pensez a ajouter le tag [réglé] en modifiant votre premier message s'il est résolu. Merci :wink:
Avatar de l’utilisateur
cocooncrash
Resp. des modérateurs
Resp. des modérateurs
 
Messages: 8119
Enregistré le: 07 Jan 2008 à 09:29
Localisation: dans un bocal en compagnie de nemo!!

Re: Erreur de l'installation 3.2.5

Messagepar Jester » 08 Jan 2019 à 00:36

Bonsoir,

le forum est actuellement joignable et je vois qu'il est en version 3.2.5. Est-ce que le problème est résolu ?
"Quand le Troll parle, l'homme avisé l'écoute."
Personnaliser son forum - La documentation de phpBB-fr.com - Les téléchargements
N'oubliez pas de modifier votre message en ajoutant le tag [Réglé] quand votre sujet est résolu.
Avatar de l’utilisateur
Jester
Administrateur
Administrateur
 
Messages: 35192
Enregistré le: 01 Jan 2005 à 01:00
Localisation: Là, pas loin...

Re: Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 08 Jan 2019 à 14:35

Oui, le forum reste joignable et utilisable, mais j'ai bien un message d'erreur dans le Panneau d'administration : "La mise à jour de phpBB n’a pas été finalisée correctement".

Précisions :
=> J'avais fait précédemment une mise à jour de 3.2.3 vers 3.2.4, avec le pack de mise à jour. La mise à jour du forum s'était bien effectuée, mais la mise à jour de la base de données avait échoué et je n'avais pas réussi à résoudre ce problème.
=> Avec la sortie de la version de la version 3.2.5, j'avais espéré que le problème se résoudrait en faisant une mise à jour avec le pack complet, ce qui ne s'est pas produit.
=> Actuellement, le panneau Système affiche : Version des fichiers 3.2.5 et Version de la base de données 3.2.3, ce qui est logique.
=> Ensuite, j'ai le message :

Mise à jour erronée
Nous vous informons que la dernière mise à jour de votre installation de phpBB ne s’est pas bien terminée. Veuillez mettre à jour la base de données, en vous assurant que Mettre à jour uniquement la base de données est sélectionné puis cliquez sur Envoyer. N’oubliez pas de supprimer le répertoire « install » une fois la mise à jour correctement terminée.


Mais je n'ai pas du tout la possibilité de sélectionner "Mettre à jour uniquement la base de données", ce choix n'apparaît jamais - ce qui était déjà le cas quand j'étais passe de 3.2.3 à 3.2.4.

Merci de vos propositions !
Modifié en dernier par Daniel Calin le 08 Jan 2019 à 18:32, modifié 1 fois.
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar Sylveretour » 08 Jan 2019 à 14:42

Bonjour

Prend le dossier install du pack complet 3.2.5 et fait le tourner.
Il est conçu pour mettre jour la bdd seule.
Avatar de l’utilisateur
Sylveretour
Apprenti-floodeur
Apprenti-floodeur
 
Messages: 1467
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 08 Jan 2019 à 14:50

Je l'avais déjà fait plusieurs fois et je viens de le refaire. Ça bloque toujours sur le message d'erreur reproduit dans mon premier message. Précision : en bas de ce message, il y a "Diffing changed files…". Impossible d'aller vers "Mettre à jour la base de données"...
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar Sylveretour » 08 Jan 2019 à 15:35

Supprime le dossier install que tu as sur ton FTP et met à la place celui du pack complet pas un autre......
Supprime aussi le dossier installer dans le dossier cache via FTP
Avatar de l’utilisateur
Sylveretour
Apprenti-floodeur
Apprenti-floodeur
 
Messages: 1467
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 08 Jan 2019 à 18:28

C'est bien le dossier Install du pack complet que je transfère.
Par contre, je n'avais pas supprimé le dossier installer. Je viens de le faire, mais le résultat est toujours exactement le même : message d'erreur et blocage...
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar galixte » 08 Jan 2019 à 18:47

As-tu purgé le cache de ton navigateur après avoir remplacé tout le contenu (sauf les éléments à conserver tels que cache, files store, ext, config.php, voire le htaccess) par celui de l’archive complète ?
Modifié en dernier par galixte le 08 Jan 2019 à 19:26, modifié 1 fois.
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.2.x & 3.3.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10562
Enregistré le: 08 Mar 2004 à 02:40
Localisation: Sud de la France.

Re: Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 08 Jan 2019 à 19:09

Oui :(
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar Sylveretour » 08 Jan 2019 à 21:50

Il faut aussi supprimer le fichier install_config.php présent dans le répertoire store/
Avatar de l’utilisateur
Sylveretour
Apprenti-floodeur
Apprenti-floodeur
 
Messages: 1467
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Erreur de l'installation 3.2.5

Messagepar Daniel Calin » 09 Jan 2019 à 14:04

Super, merci beaucoup !!!
Je viens de faire ta manipulation puis de relancer Install. J'ai enfin eu accès à la commande permettant de mettre à jour seulement la base de données. Cela a été fait et tout marche maintenant parfaitement. :D
Cordialement,

Daniel Calin
Daniel Calin
Posteur néophyte
Posteur néophyte
 
Messages: 36
Enregistré le: 06 Nov 2004 à 00:19
Localisation: Agrégé de philosophie

Re: Erreur de l'installation 3.2.5

Messagepar galixte » 09 Jan 2019 à 14:21

À quelle occasion le fichier install_config.php apparait dans le répertoire ./store/ ?
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.2.x & 3.3.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10562
Enregistré le: 08 Mar 2004 à 02:40
Localisation: Sud de la France.

Re: Erreur de l'installation 3.2.5

Messagepar Sylveretour » 09 Jan 2019 à 14:39

Lors d'une mise à jour partielle lorsque celle-ci ne s'est pas déroulée correctement et qu'il faille reprendre à un point donné. C'est malheureusement la source de nombreux blocages et erreurs.

phpbb.com étant tellement attachés à leur script de mise à jour pour lire/comparer/écrire les fichiers modifiés du core de phpbb, qu'ils continuent de l'utiliser alors que dorénavant on ne modifie pas le moindre fichier du core.
C'est un non-sens qui entraine un grand nombre de problèmes suite à de mauvaises manipulations ou à des serveurs en carton.

Bref, le jour ou ils prendront conscience qu'il ne sert plus à rien, les mises à jour passeront facilement sans anicroches.
Modifié en dernier par Sylveretour le 09 Jan 2019 à 18:43, modifié 1 fois.
Avatar de l’utilisateur
Sylveretour
Apprenti-floodeur
Apprenti-floodeur
 
Messages: 1467
Enregistré le: 21 Nov 2017 à 19:24
Localisation: West Coast

Re: Erreur de l'installation 3.2.5

Messagepar galixte » 09 Jan 2019 à 14:46

C’est ce que je constate en effet. :?

Merci !
Communau EzCom
Image
« Traductions d’extensions & styles pour phpBB 3.2.x & 3.3.x ».
ImageListes de toutes les extensions recensées pour phpBB 3.1.x & 3.2.x.
ImageListes de tous les styles recensés pour phpBB 3.1.x & 3.2.x.

Image Tu as un forum et tu veux aussi un site web ? Regarde par ici.
Avatar de l’utilisateur
galixte
Floodeur universel
Floodeur universel
 
Messages: 10562
Enregistré le: 08 Mar 2004 à 02:40
Localisation: Sud de la France.


Retourner vers Installation

 


  • Articles en relation
    Réponses
    Vues
    Dernier message

Qui est en ligne

Utilisateurs parcourant ce forum : Aucun utilisateur enregistré et 1 invité

cron